summaryrefslogtreecommitdiffstats
path: root/packaging/Solaris
diff options
context:
space:
mode:
authorShirish Kalele <kalele@samba.org>2001-04-13 18:13:23 +0000
committerShirish Kalele <kalele@samba.org>2001-04-13 18:13:23 +0000
commit3386ba3321c85929b6a708a1f05c391c6553a40f (patch)
treee27659a77a699d93fb81b7cee7edef8d384ed0f8 /packaging/Solaris
parentc19ee6e2669bac40692874557141e4f4416e16cc (diff)
downloadsamba-3386ba3321c85929b6a708a1f05c391c6553a40f.tar.gz
samba-3386ba3321c85929b6a708a1f05c391c6553a40f.tar.xz
samba-3386ba3321c85929b6a708a1f05c391c6553a40f.zip
Adding the "Using Samba" book to the package.
Diffstat (limited to 'packaging/Solaris')
-rwxr-xr-xpackaging/Solaris/makepkg.sh44
-rw-r--r--packaging/Solaris/postinstall21
-rw-r--r--packaging/Solaris/prototype.master4
3 files changed, 63 insertions, 6 deletions
diff --git a/packaging/Solaris/makepkg.sh b/packaging/Solaris/makepkg.sh
index a2521179fa7..ea15eafbc34 100755
--- a/packaging/Solaris/makepkg.sh
+++ b/packaging/Solaris/makepkg.sh
@@ -28,6 +28,20 @@ add_dynamic_entries()
echo f none samba/lib/codepages/codepage.$p=source/codepages/codepage.$p 0644 root other
done
+ # Create unicode maps
+ if [ ! -f $DISTR_BASE/source/bin/make_unicodemap ]; then
+ echo "Missing $DISTR_BASE/source/bin/make_unicodemap. Aborting." >&2
+ exit 1
+ fi
+
+ # Pull in all the unicode map files from source/codepages/CP*.TXT
+ list=`find $DISTR_BASE/source/codepages -name "CP*.TXT" | sed 's|^.*CP\(.*\)\.TXT|\1|'`
+ for umap in $list
+ do
+ $DISTR_BASE/source/bin/make_unicodemap $umap $DISTR_BASE/source/codepages/CP$umap.TXT $DISTR_BASE/source/codepages/unicode_map.$umap
+ echo f none samba/lib/codepages/unicode_map.$umap=source/codepages/unicode_map.$umap 0644 root other
+ done
+
# Add the binaries, docs and SWAT files
echo "#\n# Binaries \n#"
@@ -39,14 +53,26 @@ add_dynamic_entries()
fi
done
echo "#\n# HTML documentation \n#"
- echo d none samba/docs/htmldocs 0755 root other
- cd $DISTR_BASE/docs/htmldocs
- for htmldoc in *
+ cd $DISTR_BASE
+ list=`find docs/htmldocs -type d | grep -v "/CVS$"`
+ for docdir in $list
+ do
+ if [ -d $docdir ]; then
+ echo d none samba/$docdir 0755 root other
+ fi
+ done
+
+ list=`find docs/htmldocs -type f | grep -v /CVS/`
+ for htmldoc in $list
do
if [ -f $htmldoc ]; then
- echo f none samba/docs/htmldocs/$htmldoc=docs/htmldocs/$htmldoc 0644 root other
+ echo f none samba/$htmldoc=$htmldoc 0644 root other
fi
done
+
+ # Create a symbolic link to the Samba book in docs/ for beginners
+ echo 's none samba/docs/samba_book=htmldocs/using_samba'
+
echo "#\n# Text Docs \n#"
echo d none samba/docs/textdocs 0755 root other
cd $DISTR_BASE/docs/textdocs
@@ -58,12 +84,12 @@ add_dynamic_entries()
done
echo "#\n# SWAT \n#"
cd $DISTR_BASE
- list=`find swat -type d`
+ list=`find swat -type d | grep -v "/CVS$"`
for i in $list
do
echo "d none samba/$i 0755 root other"
done
- list=`find swat -type f`
+ list=`find swat -type f | grep -v /CVS/`
for i in $list
do
echo "f none samba/$i=$i 0644 root other"
@@ -77,6 +103,12 @@ add_dynamic_entries()
fi
done
+ echo "#\n# Using Samba Book files for SWAT\n#"
+ cd $DISTR_BASE/docs/htmldocs
+
+# set up a symbolic link instead of duplicating the book tree
+ echo 's none samba/swat/using_samba=../docs/htmldocs/using_samba'
+
}
if [ $# = 0 ]
diff --git a/packaging/Solaris/postinstall b/packaging/Solaris/postinstall
new file mode 100644
index 00000000000..0b7f40a85d0
--- /dev/null
+++ b/packaging/Solaris/postinstall
@@ -0,0 +1,21 @@
+cat <<EOF
+___________________________________________________________________________
+
+INSTALLATION COMPLETE.
+
+All files comprising the Samba Server have been installed.
+
+You can configure Samba by creating a configuration file at
+${BASEDIR}/samba/lib/smb.conf. For details on configuration,
+refer to the Samba man pages under ${PKG_INSTALL_ROOT}/usr/share/man
+and the documentation at ${BASEDIR}/samba/docs.
+
+BEGINNERS:
+Beginners can also refer to the excellent "Using Samba" book published
+by O'Reilly and Associates and officially supported by the Samba Team.
+This book is supplied with this package and can be accessed at
+${BASEDIR}/samba/docs/samba_book/index.html
+___________________________________________________________________________
+
+EOF
+
diff --git a/packaging/Solaris/prototype.master b/packaging/Solaris/prototype.master
index c63a9d1a42b..8f98104cdde 100644
--- a/packaging/Solaris/prototype.master
+++ b/packaging/Solaris/prototype.master
@@ -9,6 +9,7 @@ i pkginfo=./pkginfo
i copyright=./copyright
i request=./request
i preremove=./preremove
+i postinstall=./postinstall
i i.swat=./i.swat
i r.swat=./r.swat
#
@@ -80,5 +81,8 @@ f none samba/lib/regeditscripts/Win95_PlainPassword.reg=docs/Win95_PlainPassword
f none samba/lib/regeditscripts/Win98_PlainPassword.reg=docs/Win98_PlainPassword.reg 0444 root other
f none samba/lib/regeditscripts/Win2000_PlainPassword.reg=docs/Win2000_PlainPassword.reg 0444 root other
#
+# Random files
+f none samba/docs/Samba-HOWTO-Collection.pdf=docs/Samba-HOWTO-Collection.pdf 0644 root other
+#
# Static part of prototype file ends.
#